import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, Renderer2 } from '@angular/core';
import { FileError, FileOption } from '../ngxf-uploader.model';
export declare class NgxfSelectDirective implements AfterViewInit, OnDestroy {
    private _render;
    private _elm;
    uploadOutput: EventEmitter<File | File[] | FileError>;
    fileOption: FileOption;
    multiple: string;
    accept: string;
    private fileElm;
    changeListen: () => void;
    constructor(_render: Renderer2, _elm: ElementRef);
    click(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private bindBeforeClick;
    private removeListen;
}
